当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]请高手帮帮忙,在606 kubuntu上可以安装的usb转串口为什么在704的ubuntu里就不能用了?
帖子发表于 : 2007-05-18 14:06 

注册: 2007-05-11 17:07
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
请高手帮帮忙,在606 kubuntu上可以安装的usb转串口为什么在704的ubuntu里就不能用了?下面是运行sudo make clean;make install后的屏幕显示。


dujiang@dujiang-laptop:/moxa/mxu11x0/driver$ ls
Makefile mxu1110_fw.h mxu1130_fw.h mxu11x0.c mxu11x0.h usb-serial.h
dujiang@dujiang-laptop:/moxa/mxu11x0/driver$ sudo make clean
rm -f *.o
rm -f .*.o.cmd
rm -f *.symvers
rm -rf ./.tmp_versions
rm -f mxu11x0.mod*
rm -f .mxu11x0*
rm -f mxu11x0.ko
dujiang@dujiang-laptop:/moxa/mxu11x0/driver$ sudo make install
**********************************************************
# MOXA UPort 1110/1130 USB to Serial Hub Driver v1.0 #
# for Linux Kernel 2.6.x #
# #
# release date : 12/06/2006 #
**********************************************************
make -C /lib/modules/2.6.20-15-generic/build SUBDIRS=/moxa/mxu11x0/driver modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.20-15-generic'
CC [M] /moxa/mxu11x0/driver/mxu11x0.o
/moxa/mxu11x0/driver/mxu11x0.c:19:26: 错误: linux/config.h:No such file or directory
/moxa/mxu11x0/driver/mxu11x0.c: 在函数 ‘mxu1_open’ 中:
/moxa/mxu11x0/driver/mxu11x0.c:512: 警告: 从不兼容的指针类型赋值
/moxa/mxu11x0/driver/mxu11x0.c:586: 警告: 从不兼容的指针类型赋值
/moxa/mxu11x0/driver/mxu11x0.c: 在函数 ‘mxu1_send’ 中:
/moxa/mxu11x0/driver/mxu11x0.c:1423: 警告: 传递参数 6 (属于 ‘usb_fill_bulk_urb’)时在不兼容的指针类型间转换
/moxa/mxu11x0/driver/mxu11x0.c: 在函数 ‘mxu1_restart_read’ 中:
/moxa/mxu11x0/driver/mxu11x0.c:1683: 警告: 从不兼容的指针类型赋值
make[2]: *** [/moxa/mxu11x0/driver/mxu11x0.o] 错误 1
make[1]: *** [_module_/moxa/mxu11x0/driver] 错误 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.20-15-generic'
make: *** [module] 错误 2


附件是驱动程序 moxa uport 1110


页首
 用户资料  
 
2 楼 
 文章标题 : 刚才附件不知为什么没有粘上来
帖子发表于 : 2007-05-18 14:18 

注册: 2007-05-11 17:07
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
刚才附件不知为什么没有粘上来,附件里面有个readme

驱动我贴不上去放个下载地址在下面,请高手帮忙
http://www.moxa.com/drivers/UPort/U1130 ... 0_v1.0.tgz


页首
 用户资料  
 
3 楼 
 文章标题 : 有高手知道是怎么回事吗?
帖子发表于 : 2007-05-21 8:38 

注册: 2007-05-11 17:07
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
郁闷死了,到底是怎么回事呢?为什么说我缺一个.h 文件。我在以前的版本上安装不需要这个呀。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译